Skip to content

Download document content

Request

Security
oauth2(Required scopes: document:read) or bearerAuth or apiKeyHeader or bearerAuthQuery
Path
personIdstring(AnyId)^ext-|^[A-Z][A-Z0-9]-[A-Z0-9]+-[A-Z0-9]+|^\d+$write-onlyrequired

A Borrower's unique identifier, tied to a person or a business. Can be Peach or a lender's external identifier.

documentDescriptorIdstring(AnyId)^ext-|^[A-Z][A-Z0-9]-[A-Z0-9]+-[A-Z0-9]+|^\d+$write-onlyrequired

The document descriptor identifier.

Query
dispositionstring

The response content disposition to set.

Enum:"inline""attachment"
tokenstring

Access token used to gain temporary access to the document.

returnUrlboolean

If true, will return a URL to the content instead of redirecting to the content.

Default:false
GET
/people/{personId}/documents/{documentDescriptorId}/content
curl -i -X GET \
  'https://sandboxapi.peach.finance/api/people/{personId}/documents/{documentDescriptorId}/content?disposition=inline&token=string&returnUrl=false' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

The document content

Body
string, (binary)
Response
string